basePath: /
definitions:
  activity.ActivityList:
    properties:
      activityId:
        type: integer
      activityName:
        description: 活动名称
        type: string
      activityState:
        description: 活动状态 1-本周预告 2-进行中 3-已结束
        type: integer
      activityTypeId:
        description: 活动类型ID
        type: integer
      activityTypeName:
        description: 活动类型名称
        type: string
      city:
        description: 城市
        type: string
      endTime:
        description: 活动结束时间
        type: string
      firstActivityTypeId:
        description: 第一级的活动类型ID
        type: integer
      firstActivityTypeName:
        description: 第一级的活动类型名称
        type: string
      hasPlayBack:
        description: 是否有回放
        type: integer
      hasRemind:
        description: 是否已提醒
        type: integer
      registerState:
        description: 报名状态 0-取消报名 1-已报名
        type: integer
      speaker:
        description: 主讲人
        type: string
      speakerBackgroundPic:
        description: 主讲人背景图
        type: string
      speakerHeadPic:
        description: 主讲人头像
        type: string
      startTime:
        description: 活动开始时间
        type: string
      voiceList:
        description: 音频列表
        items:
          $ref: '#/definitions/yb_activity_voice.YbActivityVoice'
        type: array
      weekString:
        description: 周几
        type: string
    type: object
  activity.RegisterCheckInfo:
    properties:
      msg:
        type: string
      specific:
        type: integer
      type:
        type: string
    type: object
  activity.RemindCheckInfo:
    properties:
      msg:
        type: string
      specific:
        type: integer
      type:
        type: string
    type: object
  admin.Admin:
    properties:
      adminName:
        type: string
      authority:
        description: 管理权限，0：无，1：部门负责人，2：小组负责人,3:超级管理员
        type: integer
      createdTime:
        description: 创建时间
        type: string
      departmentId:
        description: 部门id
        type: integer
      departmentName:
        description: 部门名称
        type: string
      email:
        type: string
      enabled:
        description: 1:有效，0:禁用
        type: integer
      groupId:
        description: 分组id
        type: integer
      groupName:
        description: 分组名称
        type: string
      lastLoginTime:
        description: 最近登陆时间
        type: string
      lastUpdatedPasswordTime:
        type: string
      lastUpdatedTime:
        type: string
      mobile:
        description: 手机号
        type: string
      password:
        type: string
      position:
        description: 职位
        type: string
      realName:
        type: string
      role:
        description: 用户角色
        type: string
      roleId:
        description: 角色id
        type: integer
      roleName:
        description: 角色名称
        type: string
      roleType:
        description: 角色类型:1需要录入指标,0:不需要
        type: integer
      roleTypeCode:
        description: 角色编码
        type: string
    type: object
  chart_edb_mapping.ChartEdbInfoMapping:
    properties:
      chartColor:
        type: string
      chartEdbMappingId:
        type: integer
      chartInfoId:
        type: integer
      chartStyle:
        type: string
      chartWidth:
        type: number
      dataList: {}
      edbCode:
        type: string
      edbInfoId:
        type: integer
      edbInfoType:
        type: integer
      edbName:
        type: string
      edbType:
        type: integer
      endDate:
        type: string
      frequency:
        type: string
      isAxis:
        type: integer
      isOrder:
        type: boolean
      latestDate:
        type: string
      latestValue:
        type: number
      leadUnit:
        type: string
      leadValue:
        type: integer
      maxData:
        type: number
      minData:
        type: number
      modifyTime:
        type: string
      source:
        type: integer
      sourceName:
        type: string
      startDate:
        type: string
      uniqueCode:
        type: string
      unit:
        type: string
    type: object
  chart_info.ChartInfoDetailResp:
    properties:
      chartInfo:
        $ref: '#/definitions/chart_info.ChartInfoView'
      edbInfoList:
        items:
          $ref: '#/definitions/chart_edb_mapping.ChartEdbInfoMapping'
        type: array
    type: object
  chart_info.ChartInfoView:
    properties:
      calendar:
        type: string
      chartClassifyId:
        type: integer
      chartClassifyName:
        type: string
      chartImage:
        type: string
      chartInfoId:
        type: integer
      chartName:
        type: string
      chartType:
        type: integer
      createTime:
        type: string
      dateType:
        type: integer
      edbEndDate:
        type: string
      edbInfoIds:
        type: string
      endDate:
        type: string
      isAdd:
        type: boolean
      isSetName:
        type: integer
      leftMax:
        type: string
      leftMin:
        type: string
      modifyTime:
        type: string
      myChartClassifyId:
        type: string
      myChartId:
        type: integer
      rightMax:
        type: string
      rightMin:
        type: string
      seasonEndDate:
        type: string
      seasonStartDate:
        type: string
      sort:
        type: integer
      startDate:
        type: string
      sysUserId:
        type: integer
      sysUserRealName:
        type: string
      uniqueCode:
        type: string
    type: object
  chart_info.ChartSaveItem:
    properties:
      chartColor:
        type: string
      chartStyle:
        type: string
      chartWidth:
        type: number
      edbInfoId:
        type: integer
      edbInfoType:
        type: integer
      isAxis:
        type: integer
      isOrder:
        type: boolean
      leadUnit:
        type: string
      leadValue:
        type: integer
      maxData:
        type: number
      minData:
        type: number
    type: object
  chart_info.SaveChartInfoReq:
    properties:
      calendar:
        type: string
      chartEdbInfoList:
        items:
          $ref: '#/definitions/chart_info.ChartSaveItem'
        type: array
      chartInfoId:
        type: integer
      dateType:
        type: integer
      endDate:
        type: string
      leftMax:
        type: string
      leftMin:
        type: string
      rightMax:
        type: string
      rightMin:
        type: string
      seasonEndDate:
        type: string
      seasonStartDate:
        type: string
      startDate:
        type: string
    type: object
  logic.ApplyVariety:
    properties:
      name:
        type: string
      permission_name:
        type: string
      pic_url:
        type: string
    type: object
  my_chart.MoveMyChartClassifyReq:
    properties:
      myChartClassifyId:
        type: integer
      nextClassifyId:
        type: integer
      prevClassifyId:
        type: integer
    type: object
  my_chart.MoveMyChartReq:
    properties:
      myChartClassifyId:
        type: integer
      myChartId:
        type: integer
      nextMyChartId:
        type: integer
      prevMyChartId:
        type: integer
    type: object
  my_chart.MyChartClassifyListResp:
    properties:
      private_classify:
        items:
          $ref: '#/definitions/my_chart_classify.MyChartClassify'
        type: array
      public_classify:
        items:
          $ref: '#/definitions/my_chart_classify.MyChartClassify'
        type: array
    type: object
  my_chart.MyChartList:
    properties:
      calendar:
        type: string
      chartClassifyId:
        type: integer
      chartImage:
        type: string
      chartInfoId:
        type: integer
      chartName:
        type: string
      chartType:
        type: integer
      createTime:
        type: string
      dateType:
        type: integer
      edbEndDate:
        type: string
      edbInfoIds:
        type: string
      endDate:
        type: string
      isAdd:
        type: boolean
      isSetName:
        type: integer
      modifyTime:
        type: string
      myChartClassifyId:
        type: string
      myChartClassifyName:
        type: string
      myChartId:
        type: integer
      seasonEndDate:
        type: string
      seasonStartDate:
        type: string
      sort:
        type: integer
      startDate:
        type: string
      sysUserId:
        type: integer
      sysUserRealName:
        type: string
      uniqueCode:
        type: string
    type: object
  my_chart_classify.MyChartClassify:
    properties:
      adminId:
        description: 用户id
        type: integer
      companyPublicTime:
        description: 用户可见公开时间
        type: string
      createTime:
        type: string
      isCompanyPublic:
        description: 是否用户可见：0-否 1-是
        type: integer
      isPublic:
        description: 是否所有人可见，0：仅自己可见，1：所有人可见
        type: integer
      modifyTime:
        type: string
      myChartClassifyId:
        type: integer
      myChartClassifyName:
        description: 分类名称
        type: string
      publicTime:
        description: 公开时间
        type: string
      sort:
        description: 排序字段，值越小，越靠前
        type: integer
    type: object
  response.LoginResp:
    properties:
      authorization:
        type: string
      is_bind:
        type: boolean
      user_id:
        type: integer
    type: object
  user.ApplyReq:
    properties:
      business_card_url:
        type: string
      company_name:
        type: string
      permission:
        type: string
      real_name:
        type: string
      source:
        type: integer
    type: object
  user.CompanyPermission:
    properties:
      name:
        type: string
      permission_list:
        items:
          $ref: '#/definitions/user.PermissionList'
        type: array
    type: object
  user.Detail:
    properties:
      admin_info:
        $ref: '#/definitions/admin.Admin'
      company_name:
        type: string
      email:
        type: string
      is_inner:
        type: integer
      is_suspend:
        type: integer
      mobile:
        type: string
      permission_list:
        items:
          $ref: '#/definitions/user.CompanyPermission'
        type: array
      real_name:
        type: string
      seal_mobile:
        type: string
      seal_name:
        type: string
      status:
        type: string
    type: object
  user.LoginReq:
    properties:
      area_num:
        type: integer
      bind_type:
        type: integer
      email:
        type: string
      mobile:
        type: string
      verify_code:
        type: string
    type: object
  user.LoginResp:
    properties:
      email:
        type: string
      mobile:
        type: string
      token:
        type: string
      user_id:
        type: integer
    type: object
  user.PermissionList:
    properties:
      end_date:
        type: string
      name:
        type: string
      start_date:
        type: string
      status:
        type: string
    type: object
  user.Record:
    properties:
      business_card_url:
        type: string
      company_name:
        type: string
      mobile:
        type: string
      real_name:
        type: string
    type: object
  yb_activity.ActivityDetail:
    properties:
      activityId:
        type: integer
      activityName:
        description: 活动名称
        type: string
      activityState:
        description: 活动状态 1-本周预告 2-进行中 3-已结束
        type: integer
      activityTypeId:
        description: 活动类型ID
        type: integer
      activityTypeName:
        description: 活动类型名称
        type: string
      address:
        description: 活动地址
        type: string
      americaTel:
        description: 美国拨入
        type: string
      city:
        description: 城市
        type: string
      endTime:
        description: 活动结束时间
        type: string
      firstActivityTypeId:
        description: 第一级的活动类型ID
        type: integer
      firstActivityTypeName:
        description: 第一级的活动类型名称
        type: string
      hasPlayBack:
        description: 是否有回放
        type: integer
      hasRemind:
        description: 是否已提醒
        type: integer
      hongKongTel:
        description: 香港拨入
        type: string
      isLimitPeople:
        description: 是否限制人数 1是，0否
        type: integer
      limitPeopleNum:
        description: 限制人数数量
        type: integer
      linkParticipants:
        description: 参会链接
        type: string
      mainlandTel:
        description: 大陆拨入
        type: string
      participationCode:
        description: 参会密码
        type: string
      registerState:
        description: 报名状态 0-取消报名 1-已报名
        type: integer
      registeredNum:
        description: 已报名人数
        type: integer
      reportLink:
        description: 报告链接
        type: string
      reportName:
        description: 报告名称
        type: string
      singaporeTel:
        description: 新加坡拨入
        type: string
      speaker:
        description: 主讲人
        type: string
      speakerBackgroundPic:
        description: 主讲人背景图
        type: string
      speakerHeadPic:
        description: 主讲人头像
        type: string
      startTime:
        description: 活动开始时间
        type: string
      taiwanTel:
        description: 台湾拨入
        type: string
      weekString:
        description: 周几
        type: string
    type: object
  yb_activity_voice.YbActivityVoice:
    properties:
      activityId:
        description: 活动id
        type: integer
      createTime:
        type: string
      voiceName:
        description: 音频名称
        type: string
      voicePlaySeconds:
        description: 音频时长
        type: string
      voiceUrl:
        description: 音频地址
        type: string
    type: object
host: 127.0.0.1:8607
info:
  contact:
    email: pyan@hzinsights.com
    name: www.hzinsights.com/
    url: https://www.hzinsights.com/
  description: 这是弘则研报API接口文档
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: https://www.hzinsights.com/
  title: 弘则研报API接口文档
  version: "1.0"
paths:
  /activity/addRemind:
    post:
      consumes:
      - application/json
      description: 添加提醒
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 活动ID
        in: query
        name: activity_id
        required: true
        type: integer
      responses:
        "200":
          description: 操作成功
          schema:
            type: string
        "400":
          description: 操作失败
          schema:
            type: string
        "4001":
          description: 指定错误
          schema:
            $ref: '#/definitions/activity.RemindCheckInfo'
      security:
      - ApiKeyAuth: []
      summary: 添加提醒
      tags:
      - 活动模块
  /activity/cancelRegister:
    post:
      consumes:
      - application/json
      description: 取消报名
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 活动ID
        in: query
        name: activity_id
        required: true
        type: integer
      responses:
        "200":
          description: 操作成功
          schema:
            type: string
        "400":
          description: 操作失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 取消报名
      tags:
      - 活动模块
  /activity/cancelRemind:
    post:
      consumes:
      - application/json
      description: 取消提醒
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 活动ID
        in: query
        name: activity_id
        required: true
        type: integer
      responses:
        "200":
          description: 操作成功
          schema:
            type: string
        "400":
          description: 操作失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 取消提醒
      tags:
      - 活动模块
  /activity/getActivityDetail:
    get:
      consumes:
      - application/json
      description: 获取活动详情
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 活动ID
        in: query
        name: activity_id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/yb_activity.ActivityDetail'
        "400":
          description: 获取失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 获取活动详情
      tags:
      - 活动模块
  /activity/getActivityShareImg:
    get:
      consumes:
      - application/json
      description: 生成活动分享图片
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 活动ID
        in: query
        name: activity_id
        required: true
        type: integer
      responses:
        "200":
          description: 获取成功
          schema:
            type: string
        "400":
          description: 获取失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 生成活动分享图片
      tags:
      - 活动模块
  /activity/getActivityVoices:
    get:
      consumes:
      - application/json
      description: 获取活动录音
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 活动ID
        in: query
        name: activity_id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            items:
              $ref: '#/definitions/yb_activity_voice.YbActivityVoice'
            type: array
        "400":
          description: 获取失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 获取活动录音
      tags:
      - 活动模块
  /activity/getPageList:
    get:
      consumes:
      - application/json
      description: 获取活动列表
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 活动类别/标题
        in: query
        name: title
        type: string
      - description: 活动状态 1-本周预告 2-进行中 3-已结束
        in: query
        name: active_state
        type: integer
      - description: 活动类型 1-线上会议 3-线下沙龙
        in: query
        name: activity_type
        type: integer
      - description: 是否查看仅有权限的 0-否 1-是
        in: query
        name: has_permission
        type: integer
      - description: 当前页码
        in: query
        name: page
        type: integer
      - description: 每页数量
        in: query
        name: limit
        type: integer
      responses:
        "200":
          description: OK
          schema:
            items:
              $ref: '#/definitions/activity.ActivityList'
            type: array
        "400":
          description: 活动获取失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 活动列表
      tags:
      - 活动模块
  /activity/registerActivity:
    post:
      consumes:
      - application/json
      description: 报名活动
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 活动ID
        in: query
        name: activity_id
        required: true
        type: integer
      responses:
        "200":
          description: 操作成功
          schema:
            type: string
        "400":
          description: 操作失败
          schema:
            type: string
        "4001":
          description: 指定错误
          schema:
            $ref: '#/definitions/activity.RegisterCheckInfo'
      security:
      - ApiKeyAuth: []
      summary: 报名活动
      tags:
      - 活动模块
  /chart/getChartChassify:
    get:
      consumes:
      - application/json
      description: 获取图表分类列表
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 分类名称关键词
        in: query
        name: Keywords
        type: string
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/my_chart.MyChartClassifyListResp'
        "400":
          description: 分类列表获取失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 获取图表分类
      tags:
      - 图库模块
  /chart/getChartList:
    get:
      consumes:
      - application/json
      description: 获取图表列表
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 图表名称关键词
        in: query
        name: Keywords
        type: string
      - description: 图表分类ID
        in: query
        name: ClassifyId
        type: string
      - description: 当前页页码，从1开始
        in: query
        name: Page
        type: integer
      - description: 每页数据量
        in: query
        name: Limit
        type: integer
      responses:
        "200":
          description: OK
          schema:
            items:
              $ref: '#/definitions/my_chart.MyChartList'
            type: array
        "400":
          description: 图库列表获取失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 获取图表列表
      tags:
      - 图库模块
  /my_chart/editChartInfo:
    post:
      consumes:
      - application/json
      description: 编辑图表信息
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 请求参数
        in: body
        name: data
        required: true
        schema:
          $ref: '#/definitions/chart_info.SaveChartInfoReq'
      responses:
        "200":
          description: 操作成功
          schema:
            type: string
        "400":
          description: 操作失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 编辑图表信息
      tags:
      - 图库模块
  /my_chart/getChartInfoDetail:
    get:
      consumes:
      - application/json
      description: 获取图表详情
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 时间段：1-00年至今; 2-10年至今; 3-15年至今; 4-21年至今; 5-指定区间; 6-指定年月至今; 7-18年至今;
          8-19年至今; 9-20年至今
        in: query
        name: DateType
        type: string
      - description: 图表分类ID
        in: query
        name: ClassifyId
        type: string
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/chart_info.ChartInfoDetailResp'
        "400":
          description: 图表详情获取失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 获取图表详情
      tags:
      - 图库模块
  /my_chart/moveMyChart:
    post:
      consumes:
      - application/json
      description: 移动我的图表
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 请求参数
        in: body
        name: data
        required: true
        schema:
          $ref: '#/definitions/my_chart.MoveMyChartReq'
      responses:
        "200":
          description: 操作成功
          schema:
            type: string
        "400":
          description: 操作失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 移动我的图表
      tags:
      - 图库模块
  /my_chart/moveMyChartClassify:
    post:
      consumes:
      - application/json
      description: 移动我的图表分类
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 请求参数
        in: body
        name: data
        required: true
        schema:
          $ref: '#/definitions/my_chart.MoveMyChartClassifyReq'
      responses:
        "200":
          description: 操作成功
          schema:
            type: string
        "400":
          description: 操作失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 移动我的图表分类
      tags:
      - 图库模块
  /public/get_apply_variety_list:
    get:
      consumes:
      - application/json
      description: 获取所有可以申请的品种权限列表
      parameters:
      - description: 微信登录后获取到的token
        in: header
        name: Authorization
        required: true
        type: string
      responses:
        "200":
          description: 获取成功
          schema:
            items:
              $ref: '#/definitions/logic.ApplyVariety'
            type: array
        "400":
          description: 获取失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 获取所有可以申请的品种权限列表
      tags:
      - 公共模块
  /public/upload:
    post:
      consumes:
      - multipart/form-data
      description: 文件上传
      parameters:
      - description: 微信登录后获取到的token
        in: header
        name: Authorization
        required: true
        type: string
      - description: 操作描述
        in: formData
        name: file
        type: file
      responses:
        "200":
          description: 上传成功
          schema:
            type: string
        "400":
          description: 上传失败，存储目录创建失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 文件上传
      tags:
      - 公共模块
  /report/research_report:
    get:
      consumes:
      - application/json
      description: 获取报告详情
      parameters:
      - description: Bearer 31a165baebe6dec616b1f8f3207b4273
        in: header
        name: Authorization
        required: true
        type: string
      - description: 活动ID
        in: query
        name: research_report_id
        required: true
        type: integer
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/yb_activity.ActivityDetail'
        "400":
          description: 获取失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 获取报告详情
      tags:
      - 报告接口
  /user/apply:
    post:
      consumes:
      - application/json
      description: 用户申请
      parameters:
      - description: 微信登录后获取到的token
        in: header
        name: Authorization
        required: true
        type: string
      - description: 请求参数
        in: body
        name: data
        required: true
        schema:
          $ref: '#/definitions/user.ApplyReq'
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/user.LoginResp'
      security:
      - ApiKeyAuth: []
      summary: 用户申请
      tags:
      - 用户模块
  /user/get_email_code:
    get:
      consumes:
      - application/json
      description: 获取邮箱验证码
      parameters:
      - description: 微信登录后获取到的token
        in: header
        name: Authorization
        required: true
        type: string
      - description: 电子邮箱账号
        in: query
        name: email
        required: true
        type: string
      responses:
        "200":
          description: OK
          schema:
            type: string
        "400":
          description: Bad Request
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 获取邮箱验证码
      tags:
      - 用户模块
  /user/get_last_apply_record:
    get:
      consumes:
      - application/json
      description: 获取最近一条申请单信息
      parameters:
      - description: 微信登录后获取到的token
        in: header
        name: Authorization
        required: true
        type: string
      responses:
        "200":
          description: 获取成功
          schema:
            $ref: '#/definitions/user.Record'
        "400":
          description: 获取失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 获取最近一条申请单信息
      tags:
      - 用户模块
  /user/get_sms_code:
    get:
      consumes:
      - application/json
      description: 获取短信验证码接口
      parameters:
      - description: 微信登录后获取到的token
        in: header
        name: Authorization
        required: true
        type: string
      - description: 手机号
        in: query
        name: mobile
        required: true
        type: string
      - description: 手机国际区号（中国大陆：86）
        in: query
        name: area_num
        required: true
        type: string
      responses:
        "200":
          description: OK
          schema:
            type: string
        "400":
          description: Bad Request
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 获取短信验证码
      tags:
      - 用户模块
  /user/get_tab_bar:
    get:
      consumes:
      - application/json
      description: 获取用户的菜单栏权限
      parameters:
      - description: 微信登录后获取到的token
        in: header
        name: Authorization
        required: true
        type: string
      responses:
        "200":
          description: 获取成功
          schema:
            items:
              type: string
            type: array
        "400":
          description: 获取失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 获取用户的菜单栏权限
      tags:
      - 用户模块
  /user/info:
    get:
      consumes:
      - application/json
      description: 我的详情
      parameters:
      - description: 微信登录后获取到的token
        in: header
        name: Authorization
        required: true
        type: string
      responses:
        "200":
          description: 获取成功
          schema:
            $ref: '#/definitions/user.Detail'
        "400":
          description: 获取失败
          schema:
            type: string
      security:
      - ApiKeyAuth: []
      summary: 我的详情
      tags:
      - 用户模块
  /user/login:
    post:
      consumes:
      - application/json
      description: 用户手机号/邮箱登录
      parameters:
      - description: 微信登录后获取到的token
        in: header
        name: Authorization
        required: true
        type: string
      - description: 请求参数
        in: body
        name: data
        required: true
        schema:
          $ref: '#/definitions/user.LoginReq'
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/user.LoginResp'
      security:
      - ApiKeyAuth: []
      summary: 用户登录
      tags:
      - 用户模块
  /wechat/getEncryptInfo:
    post:
      consumes:
      - application/json
      description: 消息解密
      parameters:
      - description: 加密数据
        in: query
        name: encryptedData
        required: true
        type: string
      - description: 加密算法初始向量
        in: query
        name: iv
        required: true
        type: string
      responses:
        "200":
          description: 获取成功
          schema:
            type: string
      summary: 消息解密
      tags:
      - 微信相关接口
  /wechat/login:
    get:
      consumes:
      - application/json
      description: 微信登录
      parameters:
      - description: 微信code
        in: query
        name: code
        required: true
        type: string
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/response.LoginResp'
      summary: 微信登录
      tags:
      - 微信相关接口
swagger: "2.0"
